/* login-dialog.c generated by valac 0.26.1, the Vala compiler
 * generated from login-dialog.vala, do not modify */

/* Copyright 2011-2014 Yorba Foundation
 *
 * This software is licensed under the GNU Lesser General Public License
 * (version 2.1 or later).  See the COPYING file in this distribution.
 */
/* Displays a dialog for collecting the user's login data.*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include "geary-static.h"


#define TYPE_LOGIN_DIALOG (login_dialog_get_type ())
#define LOGIN_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_LOGIN_DIALOG, LoginDialog))
#define LOGIN_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_LOGIN_DIALOG, LoginDialogClass))
#define IS_LOGIN_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_LOGIN_DIALOG))
#define IS_LOGIN_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_LOGIN_DIALOG))
#define LOGIN_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_LOGIN_DIALOG, LoginDialogClass))

typedef struct _LoginDialog LoginDialog;
typedef struct _LoginDialogClass LoginDialogClass;
typedef struct _LoginDialogPrivate LoginDialogPrivate;

#define TYPE_ADD_EDIT_PAGE (add_edit_page_get_type ())
#define ADD_EDIT_PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ADD_EDIT_PAGE, AddEditPage))
#define ADD_EDIT_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ADD_EDIT_PAGE, AddEditPageClass))
#define IS_ADD_EDIT_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ADD_EDIT_PAGE))
#define IS_ADD_EDIT_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ADD_EDIT_PAGE))
#define ADD_EDIT_PAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ADD_EDIT_PAGE, AddEditPageClass))

typedef struct _AddEditPage AddEditPage;
typedef struct _AddEditPageClass AddEditPageClass;

#define TYPE_ACCOUNT_SPINNER_PAGE (account_spinner_page_get_type ())
#define ACCOUNT_SPINNER_PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ACCOUNT_SPINNER_PAGE, AccountSpinnerPage))
#define ACCOUNT_SPINNER_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ACCOUNT_SPINNER_PAGE, AccountSpinnerPageClass))
#define IS_ACCOUNT_SPINNER_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ACCOUNT_SPINNER_PAGE))
#define IS_ACCOUNT_SPINNER_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ACCOUNT_SPINNER_PAGE))
#define ACCOUNT_SPINNER_PAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ACCOUNT_SPINNER_PAGE, AccountSpinnerPageClass))

typedef struct _AccountSpinnerPage AccountSpinnerPage;
typedef struct _AccountSpinnerPageClass AccountSpinnerPageClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define TYPE_GEARY_APPLICATION (geary_application_get_type ())
#define GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_GEARY_APPLICATION, GearyApplication))
#define GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_GEARY_APPLICATION, GearyApplicationClass))
#define IS_GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_GEARY_APPLICATION))
#define IS_GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_GEARY_APPLICATION))
#define GEARY_APPLICATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_GEARY_APPLICATION, GearyApplicationClass))

typedef struct _GearyApplication GearyApplication;
typedef struct _GearyApplicationClass GearyApplicationClass;

struct _LoginDialog {
	GtkDialog parent_instance;
	LoginDialogPrivate * priv;
};

struct _LoginDialogClass {
	GtkDialogClass parent_class;
};

struct _LoginDialogPrivate {
	GtkButton* ok_button;
	GtkButton* cancel_button;
	AddEditPage* page;
	AccountSpinnerPage* spinner_page;
};


static gpointer login_dialog_parent_class = NULL;

GType login_dialog_get_type (void) G_GNUC_CONST;
GType add_edit_page_get_type (void) G_GNUC_CONST;
GType account_spinner_page_get_type (void) G_GNUC_CONST;
#define LOGIN_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_LOGIN_DIALOG, LoginDialogPrivate))
enum  {
	LOGIN_DIALOG_DUMMY_PROPERTY
};
AddEditPage* add_edit_page_new (void);
AddEditPage* add_edit_page_construct (GType object_type);
AccountSpinnerPage* account_spinner_page_new (void);
AccountSpinnerPage* account_spinner_page_construct (GType object_type);
LoginDialog* login_dialog_new (void);
LoginDialog* login_dialog_construct (GType object_type);
static void __lambda52_ (LoginDialog* self);
static void ___lambda52__add_edit_page_size_changed (AddEditPage* _sender, gpointer self);
static void login_dialog_on_info_changed (LoginDialog* self);
static void _login_dialog_on_info_changed_add_edit_page_info_changed (AddEditPage* _sender, gpointer self);
#define STOCK__CANCEL _ ("_Cancel")
#define STOCK__ADD _ ("_Add")
static void __lambda53_ (LoginDialog* self);
GType geary_application_get_type (void) G_GNUC_CONST;
GearyApplication* geary_application_get_instance (void);
void geary_application_exit (GearyApplication* self, gint exitcode);
static void ___lambda53__gtk_widget_destroy (GtkWidget* _sender, gpointer self);
LoginDialog* login_dialog_new_from_account_information (GearyAccountInformation* initial_account_information);
LoginDialog* login_dialog_construct_from_account_information (GType object_type, GearyAccountInformation* initial_account_information);
void login_dialog_set_account_information (LoginDialog* self, GearyAccountInformation* info, GearyEngineValidationResult _result_);
void add_edit_page_set_account_information (AddEditPage* self, GearyAccountInformation* info, GearyEngineValidationResult _result_);
void add_edit_page_update_ui (AddEditPage* self);
GearyAccountInformation* login_dialog_get_account_information (LoginDialog* self);
GearyAccountInformation* add_edit_page_get_account_information (AddEditPage* self);
gboolean add_edit_page_is_complete (AddEditPage* self);
void login_dialog_show_spinner (LoginDialog* self, gboolean visible);
static void login_dialog_real_show (GtkWidget* base);
static void login_dialog_finalize (GObject* obj);


static void __lambda52_ (LoginDialog* self) {
#line 24 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_window_resize (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_window_get_type (), GtkWindow), 1, 1);
#line 123 "login-dialog.c"
}


static void ___lambda52__add_edit_page_size_changed (AddEditPage* _sender, gpointer self) {
#line 24 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	__lambda52_ ((LoginDialog*) self);
#line 130 "login-dialog.c"
}


static void _login_dialog_on_info_changed_add_edit_page_info_changed (AddEditPage* _sender, gpointer self) {
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	login_dialog_on_info_changed ((LoginDialog*) self);
#line 137 "login-dialog.c"
}


static void __lambda53_ (LoginDialog* self) {
	GearyApplication* _tmp0_ = NULL;
	GearyApplication* _tmp1_ = NULL;
#line 36 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_debug ("login-dialog.vala:36: User closed login dialog, exiting...");
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp0_ = geary_application_get_instance ();
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp1_ = _tmp0_;
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	geary_application_exit (_tmp1_, 1);
#line 152 "login-dialog.c"
}


static void ___lambda53__gtk_widget_destroy (GtkWidget* _sender, gpointer self) {
#line 35 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	__lambda53_ ((LoginDialog*) self);
#line 159 "login-dialog.c"
}


LoginDialog* login_dialog_construct (GType object_type) {
	LoginDialog * self = NULL;
	AddEditPage* _tmp0_ = NULL;
	AccountSpinnerPage* _tmp1_ = NULL;
	GtkBox* _tmp2_ = NULL;
	AddEditPage* _tmp3_ = NULL;
	GtkBox* _tmp4_ = NULL;
	AccountSpinnerPage* _tmp5_ = NULL;
	AccountSpinnerPage* _tmp6_ = NULL;
	AddEditPage* _tmp7_ = NULL;
	AddEditPage* _tmp8_ = NULL;
	GtkButton* _tmp9_ = NULL;
	GtkButton* _tmp10_ = NULL;
	GtkButton* _tmp11_ = NULL;
	GtkButton* _tmp12_ = NULL;
	GtkButton* _tmp13_ = NULL;
	GtkWidget* _tmp14_ = NULL;
#line 15 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	self = (LoginDialog*) g_object_new (object_type, NULL);
#line 16 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_window_set_type_hint (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_window_get_type (), GtkWindow), GDK_WINDOW_TYPE_HINT_DIALOG);
#line 17 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_widget_set_size_request (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_widget_get_type (), GtkWidget), 450, -1);
#line 19 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp0_ = self->priv->page;
#line 19 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_widget_get_type (), GtkWidget), "margin", 5, NULL);
#line 20 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp1_ = self->priv->spinner_page;
#line 20 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, gtk_widget_get_type (), GtkWidget), "margin", 5, NULL);
#line 21 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp2_ = (GtkBox*) gtk_dialog_get_content_area (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_dialog_get_type (), GtkDialog));
#line 21 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp3_ = self->priv->page;
#line 21 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_box_pack_start (_tmp2_, G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_widget_get_type (), GtkWidget), TRUE, TRUE, (guint) 0);
#line 22 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp4_ = (GtkBox*) gtk_dialog_get_content_area (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_dialog_get_type (), GtkDialog));
#line 22 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp5_ = self->priv->spinner_page;
#line 22 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_box_pack_start (_tmp4_, G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, gtk_widget_get_type (), GtkWidget), TRUE, TRUE, (guint) 0);
#line 23 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp6_ = self->priv->spinner_page;
#line 23 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, gtk_widget_get_type (), GtkWidget), FALSE);
#line 24 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp7_ = self->priv->page;
#line 24 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_signal_connect_object (_tmp7_, "size-changed", (GCallback) ___lambda52__add_edit_page_size_changed, self, 0);
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp8_ = self->priv->page;
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_signal_connect_object (_tmp8_, "info-changed", (GCallback) _login_dialog_on_info_changed_add_edit_page_info_changed, self, 0);
#line 27 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp9_ = (GtkButton*) gtk_button_new_from_stock (STOCK__CANCEL);
#line 27 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_object_ref_sink (_tmp9_);
#line 27 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 27 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	self->priv->cancel_button = _tmp9_;
#line 28 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp10_ = self->priv->cancel_button;
#line 28 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_dialog_add_action_widget (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_dialog_get_type (), GtkDialog), G_TYPE_CHECK_INSTANCE_CAST (_tmp10_, gtk_widget_get_type (), GtkWidget), (gint) GTK_RESPONSE_CANCEL);
#line 29 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp11_ = (GtkButton*) gtk_button_new_from_stock (STOCK__ADD);
#line 29 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_object_ref_sink (_tmp11_);
#line 29 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_g_object_unref0 (self->priv->ok_button);
#line 29 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	self->priv->ok_button = _tmp11_;
#line 30 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp12_ = self->priv->ok_button;
#line 30 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_widget_set_can_default (G_TYPE_CHECK_INSTANCE_CAST (_tmp12_, gtk_widget_get_type (), GtkWidget), TRUE);
#line 31 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp13_ = self->priv->ok_button;
#line 31 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_dialog_add_action_widget (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_dialog_get_type (), GtkDialog), G_TYPE_CHECK_INSTANCE_CAST (_tmp13_, gtk_widget_get_type (), GtkWidget), (gint) GTK_RESPONSE_OK);
#line 32 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_dialog_set_default_response (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_dialog_get_type (), GtkDialog), (gint) GTK_RESPONSE_OK);
#line 33 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp14_ = gtk_dialog_get_action_area (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_dialog_get_type (), GtkDialog));
#line 33 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_widget_show_all (_tmp14_);
#line 35 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_widget_get_type (), GtkWidget), "destroy", (GCallback) ___lambda53__gtk_widget_destroy, self, 0);
#line 40 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	login_dialog_on_info_changed (self);
#line 14 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	return self;
#line 258 "login-dialog.c"
}


LoginDialog* login_dialog_new (void) {
#line 14 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	return login_dialog_construct (TYPE_LOGIN_DIALOG);
#line 265 "login-dialog.c"
}


LoginDialog* login_dialog_construct_from_account_information (GType object_type, GearyAccountInformation* initial_account_information) {
	LoginDialog * self = NULL;
	GearyAccountInformation* _tmp0_ = NULL;
#line 43 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_return_val_if_fail (GEARY_IS_ACCOUNT_INFORMATION (initial_account_information), NULL);
#line 44 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	self = (LoginDialog*) login_dialog_construct (object_type);
#line 45 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp0_ = initial_account_information;
#line 45 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	login_dialog_set_account_information (self, _tmp0_, GEARY_ENGINE_VALIDATION_RESULT_OK);
#line 43 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	return self;
#line 282 "login-dialog.c"
}


LoginDialog* login_dialog_new_from_account_information (GearyAccountInformation* initial_account_information) {
#line 43 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	return login_dialog_construct_from_account_information (TYPE_LOGIN_DIALOG, initial_account_information);
#line 289 "login-dialog.c"
}


void login_dialog_set_account_information (LoginDialog* self, GearyAccountInformation* info, GearyEngineValidationResult _result_) {
	AddEditPage* _tmp0_ = NULL;
	GearyAccountInformation* _tmp1_ = NULL;
	GearyEngineValidationResult _tmp2_ = 0;
	AddEditPage* _tmp3_ = NULL;
#line 48 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_return_if_fail (IS_LOGIN_DIALOG (self));
#line 48 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_return_if_fail (GEARY_IS_ACCOUNT_INFORMATION (info));
#line 50 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp0_ = self->priv->page;
#line 50 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp1_ = info;
#line 50 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp2_ = _result_;
#line 50 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	add_edit_page_set_account_information (_tmp0_, _tmp1_, _tmp2_);
#line 51 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp3_ = self->priv->page;
#line 51 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	add_edit_page_update_ui (_tmp3_);
#line 314 "login-dialog.c"
}


GearyAccountInformation* login_dialog_get_account_information (LoginDialog* self) {
	GearyAccountInformation* result = NULL;
	AddEditPage* _tmp0_ = NULL;
	GearyAccountInformation* _tmp1_ = NULL;
#line 54 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_return_val_if_fail (IS_LOGIN_DIALOG (self), NULL);
#line 55 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp0_ = self->priv->page;
#line 55 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp1_ = add_edit_page_get_account_information (_tmp0_);
#line 55 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	result = _tmp1_;
#line 55 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	return result;
#line 332 "login-dialog.c"
}


static void login_dialog_on_info_changed (LoginDialog* self) {
	AccountSpinnerPage* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 58 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_return_if_fail (IS_LOGIN_DIALOG (self));
#line 59 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp0_ = self->priv->spinner_page;
#line 59 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp1_ = gtk_widget_get_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_widget_get_type (), GtkWidget));
#line 59 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp2_ = _tmp1_;
#line 59 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	if (!_tmp2_) {
#line 350 "login-dialog.c"
		GtkButton* _tmp3_ = NULL;
		AddEditPage* _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
#line 60 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
		_tmp3_ = self->priv->ok_button;
#line 60 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
		_tmp4_ = self->priv->page;
#line 60 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
		_tmp5_ = add_edit_page_is_complete (_tmp4_);
#line 60 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
		gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_widget_get_type (), GtkWidget), _tmp5_);
#line 362 "login-dialog.c"
	} else {
		GtkButton* _tmp6_ = NULL;
#line 62 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
		_tmp6_ = self->priv->ok_button;
#line 62 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
		gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, gtk_widget_get_type (), GtkWidget), FALSE);
#line 369 "login-dialog.c"
	}
}


void login_dialog_show_spinner (LoginDialog* self, gboolean visible) {
	AccountSpinnerPage* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	AddEditPage* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GtkButton* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
#line 66 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_return_if_fail (IS_LOGIN_DIALOG (self));
#line 67 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp0_ = self->priv->spinner_page;
#line 67 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp1_ = visible;
#line 67 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_widget_get_type (), GtkWidget), _tmp1_);
#line 68 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp2_ = self->priv->page;
#line 68 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp3_ = visible;
#line 68 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, gtk_widget_get_type (), GtkWidget), !_tmp3_);
#line 69 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp4_ = self->priv->cancel_button;
#line 69 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp5_ = visible;
#line 69 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, gtk_widget_get_type (), GtkWidget), !_tmp5_);
#line 70 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	login_dialog_on_info_changed (self);
#line 403 "login-dialog.c"
}


static void login_dialog_real_show (GtkWidget* base) {
	LoginDialog * self;
	AddEditPage* _tmp0_ = NULL;
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (base, TYPE_LOGIN_DIALOG, LoginDialog);
#line 74 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp0_ = self->priv->page;
#line 74 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	add_edit_page_update_ui (_tmp0_);
#line 75 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	GTK_WIDGET_CLASS (login_dialog_parent_class)->show (G_TYPE_CHECK_INSTANCE_CAST (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_dialog_get_type (), GtkDialog), gtk_widget_get_type (), GtkWidget));
#line 418 "login-dialog.c"
}


static void login_dialog_class_init (LoginDialogClass * klass) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	login_dialog_parent_class = g_type_class_peek_parent (klass);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_type_class_add_private (klass, sizeof (LoginDialogPrivate));
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	((GtkWidgetClass *) klass)->show = login_dialog_real_show;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	G_OBJECT_CLASS (klass)->finalize = login_dialog_finalize;
#line 431 "login-dialog.c"
}


static void login_dialog_instance_init (LoginDialog * self) {
	AddEditPage* _tmp0_ = NULL;
	AccountSpinnerPage* _tmp1_ = NULL;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	self->priv = LOGIN_DIALOG_GET_PRIVATE (self);
#line 11 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp0_ = add_edit_page_new ();
#line 11 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_object_ref_sink (_tmp0_);
#line 11 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	self->priv->page = _tmp0_;
#line 12 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_tmp1_ = account_spinner_page_new ();
#line 12 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	g_object_ref_sink (_tmp1_);
#line 12 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	self->priv->spinner_page = _tmp1_;
#line 452 "login-dialog.c"
}


static void login_dialog_finalize (GObject* obj) {
	LoginDialog * self;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_LOGIN_DIALOG, LoginDialog);
#line 9 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_g_object_unref0 (self->priv->ok_button);
#line 10 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 11 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_g_object_unref0 (self->priv->page);
#line 12 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	_g_object_unref0 (self->priv->spinner_page);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/accounts/login-dialog.vala"
	G_OBJECT_CLASS (login_dialog_parent_class)->finalize (obj);
#line 470 "login-dialog.c"
}


GType login_dialog_get_type (void) {
	static volatile gsize login_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&login_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (LoginDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) login_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (LoginDialog), 0, (GInstanceInitFunc) login_dialog_instance_init, NULL };
		GType login_dialog_type_id;
		login_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "LoginDialog", &g_define_type_info, 0);
		g_once_init_leave (&login_dialog_type_id__volatile, login_dialog_type_id);
	}
	return login_dialog_type_id__volatile;
}



