/* geary-config.c generated by valac 0.26.1, the Vala compiler
 * generated from geary-config.vala, do not modify */

/* Copyright 2011-2014 Yorba Foundation
 *
 * This software is licensed under the GNU Lesser General Public License
 * (version 2.1 or later).  See the COPYING file in this distribution.
 */
/* Wrapper class for GSettings.*/

#include <glib.h>
#include <glib-object.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <gobject/gvaluecollector.h>


#define TYPE_CONFIGURATION (configuration_get_type ())
#define CONFIGURATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_CONFIGURATION, Configuration))
#define CONFIGURATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_CONFIGURATION, ConfigurationClass))
#define IS_CONFIGURATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_CONFIGURATION))
#define IS_CONFIGURATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_CONFIGURATION))
#define CONFIGURATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_CONFIGURATION, ConfigurationClass))

typedef struct _Configuration Configuration;
typedef struct _ConfigurationClass ConfigurationClass;
typedef struct _ConfigurationPrivate ConfigurationPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

#define DATE_TYPE_CLOCK_FORMAT (date_clock_format_get_type ())
typedef struct _ParamSpecConfiguration ParamSpecConfiguration;
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

struct _Configuration {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ConfigurationPrivate * priv;
	GSettings* gnome_interface;
};

struct _ConfigurationClass {
	GTypeClass parent_class;
	void (*finalize) (Configuration *self);
};

struct _ConfigurationPrivate {
	GSettings* _settings;
	GSettings* indicator_datetime;
};

typedef enum  {
	DATE_CLOCK_FORMAT_TWELVE_HOURS,
	DATE_CLOCK_FORMAT_TWENTY_FOUR_HOURS,
	DATE_CLOCK_FORMAT_LOCALE_DEFAULT,
	DATE_CLOCK_FORMAT_TOTAL
} DateClockFormat;

struct _ParamSpecConfiguration {
	GParamSpec parent_instance;
};


static gpointer configuration_parent_class = NULL;

gpointer configuration_ref (gpointer instance);
void configuration_unref (gpointer instance);
GParamSpec* param_spec_configuration (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_configuration (GValue* value, gpointer v_object);
void value_take_configuration (GValue* value, gpointer v_object);
gpointer value_get_configuration (const GValue* value);
GType configuration_get_type (void) G_GNUC_CONST;
#define CONFIGURATION_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_CONFIGURATION, ConfigurationPrivate))
enum  {
	CONFIGURATION_DUMMY_PROPERTY
};
#define CONFIGURATION_WINDOW_WIDTH_KEY "window-width"
#define CONFIGURATION_WINDOW_HEIGHT_KEY "window-height"
#define CONFIGURATION_WINDOW_MAXIMIZE_KEY "window-maximize"
#define CONFIGURATION_FOLDER_LIST_PANE_POSITION_KEY "folder-list-pane-position"
#define CONFIGURATION_MESSAGES_PANE_POSITION_KEY "messages-pane-position"
#define CONFIGURATION_AUTOSELECT_KEY "autoselect"
#define CONFIGURATION_DISPLAY_PREVIEW_KEY "display-preview"
#define CONFIGURATION_SPELL_CHECK_KEY "spell-check"
#define CONFIGURATION_PLAY_SOUNDS_KEY "play-sounds"
#define CONFIGURATION_SHOW_NOTIFICATIONS_KEY "show-notifications"
#define CONFIGURATION_STARTUP_NOTIFICATIONS_KEY "startup-notifications"
#define CONFIGURATION_ASK_OPEN_ATTACHMENT_KEY "ask-open-attachment"
#define CONFIGURATION_COMPOSE_AS_HTML_KEY "compose-as-html"
#define CONFIGURATION_CLOCK_FORMAT_KEY "clock-format"
#define CONFIGURATION_TIME_FORMAT_KEY "time-format"
Configuration* configuration_new (const gchar* schema_id);
Configuration* configuration_construct (GType object_type, const gchar* schema_id);
static void configuration_set_settings (Configuration* self, GSettings* value);
void configuration_init (gboolean is_installed, const gchar* schema_dir);
void configuration_bind (Configuration* self, const gchar* key, GObject* object, const gchar* property, GSettingsBindFlags flags);
GSettings* configuration_get_settings (Configuration* self);
static void configuration_set_boolean (Configuration* self, const gchar* name, gboolean value);
gint configuration_get_window_width (Configuration* self);
gint configuration_get_window_height (Configuration* self);
gboolean configuration_get_window_maximize (Configuration* self);
gint configuration_get_folder_list_pane_position (Configuration* self);
gint configuration_get_messages_pane_position (Configuration* self);
gboolean configuration_get_autoselect (Configuration* self);
gboolean configuration_get_display_preview (Configuration* self);
gboolean configuration_get_spell_check (Configuration* self);
gboolean configuration_get_play_sounds (Configuration* self);
gboolean configuration_get_show_notifications (Configuration* self);
gboolean configuration_get_startup_notifications (Configuration* self);
void configuration_set_startup_notifications (Configuration* self, gboolean value);
GType date_clock_format_get_type (void) G_GNUC_CONST;
DateClockFormat configuration_get_clock_format (Configuration* self);
gboolean configuration_get_ask_open_attachment (Configuration* self);
void configuration_set_ask_open_attachment (Configuration* self, gboolean value);
gboolean configuration_get_compose_as_html (Configuration* self);
void configuration_set_compose_as_html (Configuration* self, gboolean value);
static void configuration_finalize (Configuration* obj);
static gint _vala_array_length (gpointer array);


Configuration* configuration_construct (GType object_type, const gchar* schema_id) {
	Configuration* self = NULL;
	const gchar* _tmp0_ = NULL;
	GSettings* _tmp1_ = NULL;
	GSettings* _tmp2_ = NULL;
	GSettings* _tmp3_ = NULL;
	gchar** _tmp4_ = NULL;
	gchar** _tmp5_ = NULL;
#line 106 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (schema_id != NULL, NULL);
#line 106 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	self = (Configuration*) g_type_create_instance (object_type);
#line 108 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = schema_id;
#line 108 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_new (_tmp0_);
#line 108 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp2_ = _tmp1_;
#line 108 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	configuration_set_settings (self, _tmp2_);
#line 108 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_g_object_unref0 (_tmp2_);
#line 109 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp3_ = g_settings_new ("org.gnome.desktop.interface");
#line 109 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_g_object_unref0 (self->gnome_interface);
#line 109 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	self->gnome_interface = _tmp3_;
#line 110 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp5_ = _tmp4_ = g_settings_list_schemas ();
#line 153 "geary-config.c"
	{
		gchar** schema_collection = NULL;
		gint schema_collection_length1 = 0;
		gint _schema_collection_size_ = 0;
		gint schema_it = 0;
#line 110 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		schema_collection = _tmp5_;
#line 110 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		schema_collection_length1 = _vala_array_length (_tmp4_);
#line 110 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		for (schema_it = 0; schema_it < _vala_array_length (_tmp4_); schema_it = schema_it + 1) {
#line 165 "geary-config.c"
			const gchar* schema = NULL;
#line 110 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
			schema = schema_collection[schema_it];
#line 169 "geary-config.c"
			{
				const gchar* _tmp6_ = NULL;
#line 111 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
				_tmp6_ = schema;
#line 111 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
				if (g_strcmp0 (_tmp6_, "com.canonical.indicator.datetime") == 0) {
#line 176 "geary-config.c"
					GSettings* _tmp7_ = NULL;
#line 112 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
					_tmp7_ = g_settings_new ("com.canonical.indicator.datetime");
#line 112 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
					_g_object_unref0 (self->priv->indicator_datetime);
#line 112 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
					self->priv->indicator_datetime = _tmp7_;
#line 113 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
					break;
#line 186 "geary-config.c"
				}
			}
		}
	}
#line 106 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return self;
#line 193 "geary-config.c"
}


Configuration* configuration_new (const gchar* schema_id) {
#line 106 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return configuration_construct (TYPE_CONFIGURATION, schema_id);
#line 200 "geary-config.c"
}


void configuration_init (gboolean is_installed, const gchar* schema_dir) {
	gboolean _tmp0_ = FALSE;
#line 121 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = is_installed;
#line 121 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (!_tmp0_) {
#line 210 "geary-config.c"
		const gchar* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
#line 122 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		_tmp1_ = schema_dir;
#line 122 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		_vala_assert (_tmp1_ != NULL, "schema_dir != null");
#line 125 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		_tmp2_ = schema_dir;
#line 125 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		g_setenv ("GSETTINGS_SCHEMA_DIR", _tmp2_, TRUE);
#line 221 "geary-config.c"
	}
}


void configuration_bind (Configuration* self, const gchar* key, GObject* object, const gchar* property, GSettingsBindFlags flags) {
	GSettings* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GObject* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	GSettingsBindFlags _tmp4_ = 0;
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_if_fail (IS_CONFIGURATION (self));
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_if_fail (key != NULL);
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_if_fail (G_IS_OBJECT (object));
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_if_fail (property != NULL);
#line 131 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 131 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = key;
#line 131 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp2_ = object;
#line 131 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp3_ = property;
#line 131 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp4_ = flags;
#line 131 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_settings_bind (_tmp0_, _tmp1_, _tmp2_, _tmp3_, _tmp4_);
#line 252 "geary-config.c"
}


static gchar* bool_to_string (gboolean self) {
	gchar* result = NULL;
#line 37 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (self) {
#line 260 "geary-config.c"
		gchar* _tmp0_ = NULL;
#line 38 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp0_ = g_strdup ("true");
#line 38 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		result = _tmp0_;
#line 38 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		return result;
#line 268 "geary-config.c"
	} else {
		gchar* _tmp1_ = NULL;
#line 40 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp1_ = g_strdup ("false");
#line 40 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		result = _tmp1_;
#line 40 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		return result;
#line 277 "geary-config.c"
	}
}


static void configuration_set_boolean (Configuration* self, const gchar* name, gboolean value) {
	GSettings* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
#line 134 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_if_fail (IS_CONFIGURATION (self));
#line 134 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_if_fail (name != NULL);
#line 135 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 135 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = name;
#line 135 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp2_ = value;
#line 135 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp3_ = g_settings_set_boolean (_tmp0_, _tmp1_, _tmp2_);
#line 135 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (!_tmp3_) {
#line 301 "geary-config.c"
		const gchar* _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
#line 136 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		_tmp4_ = name;
#line 136 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		_tmp5_ = value;
#line 136 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		_tmp6_ = bool_to_string (_tmp5_);
#line 136 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		_tmp7_ = _tmp6_;
#line 136 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		g_message ("geary-config.vala:136: Unable to set configuration value %s = %s", _tmp4_, _tmp7_);
#line 136 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		_g_free0 (_tmp7_);
#line 318 "geary-config.c"
	}
}


GSettings* configuration_get_settings (Configuration* self) {
	GSettings* result;
	GSettings* _tmp0_ = NULL;
#line 23 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), NULL);
#line 23 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 23 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp0_;
#line 23 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 334 "geary-config.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 23 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return self ? g_object_ref (self) : NULL;
#line 341 "geary-config.c"
}


static void configuration_set_settings (Configuration* self, GSettings* value) {
	GSettings* _tmp0_ = NULL;
	GSettings* _tmp1_ = NULL;
#line 23 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_if_fail (IS_CONFIGURATION (self));
#line 23 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = value;
#line 23 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 23 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_g_object_unref0 (self->priv->_settings);
#line 23 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	self->priv->_settings = _tmp1_;
#line 358 "geary-config.c"
}


gint configuration_get_window_width (Configuration* self) {
	gint result;
	GSettings* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 29 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), 0);
#line 29 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 29 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_get_int (_tmp0_, CONFIGURATION_WINDOW_WIDTH_KEY);
#line 29 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp1_;
#line 29 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 376 "geary-config.c"
}


gint configuration_get_window_height (Configuration* self) {
	gint result;
	GSettings* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 33 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), 0);
#line 33 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 33 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_get_int (_tmp0_, CONFIGURATION_WINDOW_HEIGHT_KEY);
#line 33 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp1_;
#line 33 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 394 "geary-config.c"
}


gboolean configuration_get_window_maximize (Configuration* self) {
	gboolean result;
	GSettings* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), FALSE);
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_get_boolean (_tmp0_, CONFIGURATION_WINDOW_MAXIMIZE_KEY);
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp1_;
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 412 "geary-config.c"
}


gint configuration_get_folder_list_pane_position (Configuration* self) {
	gint result;
	GSettings* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 41 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), 0);
#line 41 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 41 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_get_int (_tmp0_, CONFIGURATION_FOLDER_LIST_PANE_POSITION_KEY);
#line 41 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp1_;
#line 41 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 430 "geary-config.c"
}


gint configuration_get_messages_pane_position (Configuration* self) {
	gint result;
	GSettings* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 45 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), 0);
#line 45 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 45 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_get_int (_tmp0_, CONFIGURATION_MESSAGES_PANE_POSITION_KEY);
#line 45 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp1_;
#line 45 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 448 "geary-config.c"
}


gboolean configuration_get_autoselect (Configuration* self) {
	gboolean result;
	GSettings* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 49 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), FALSE);
#line 49 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 49 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_get_boolean (_tmp0_, CONFIGURATION_AUTOSELECT_KEY);
#line 49 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp1_;
#line 49 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 466 "geary-config.c"
}


gboolean configuration_get_display_preview (Configuration* self) {
	gboolean result;
	GSettings* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 53 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), FALSE);
#line 53 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 53 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_get_boolean (_tmp0_, CONFIGURATION_DISPLAY_PREVIEW_KEY);
#line 53 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp1_;
#line 53 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 484 "geary-config.c"
}


gboolean configuration_get_spell_check (Configuration* self) {
	gboolean result;
	GSettings* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 57 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), FALSE);
#line 57 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 57 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_get_boolean (_tmp0_, CONFIGURATION_SPELL_CHECK_KEY);
#line 57 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp1_;
#line 57 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 502 "geary-config.c"
}


gboolean configuration_get_play_sounds (Configuration* self) {
	gboolean result;
	GSettings* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 61 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), FALSE);
#line 61 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 61 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_get_boolean (_tmp0_, CONFIGURATION_PLAY_SOUNDS_KEY);
#line 61 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp1_;
#line 61 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 520 "geary-config.c"
}


gboolean configuration_get_show_notifications (Configuration* self) {
	gboolean result;
	GSettings* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 65 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), FALSE);
#line 65 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 65 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_get_boolean (_tmp0_, CONFIGURATION_SHOW_NOTIFICATIONS_KEY);
#line 65 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp1_;
#line 65 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 538 "geary-config.c"
}


gboolean configuration_get_startup_notifications (Configuration* self) {
	gboolean result;
	GSettings* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 69 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), FALSE);
#line 69 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 69 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_get_boolean (_tmp0_, CONFIGURATION_STARTUP_NOTIFICATIONS_KEY);
#line 69 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp1_;
#line 69 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 556 "geary-config.c"
}


void configuration_set_startup_notifications (Configuration* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 70 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_if_fail (IS_CONFIGURATION (self));
#line 70 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = value;
#line 70 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	configuration_set_boolean (self, CONFIGURATION_STARTUP_NOTIFICATIONS_KEY, _tmp0_);
#line 568 "geary-config.c"
}


DateClockFormat configuration_get_clock_format (Configuration* self) {
	DateClockFormat result;
	GSettings* _tmp0_ = NULL;
	GSettings* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
#line 76 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), 0);
#line 77 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->indicator_datetime;
#line 77 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (_tmp0_ != NULL) {
#line 585 "geary-config.c"
		gchar* format = NULL;
		GSettings* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
#line 78 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		_tmp1_ = self->priv->indicator_datetime;
#line 78 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		_tmp2_ = g_settings_get_string (_tmp1_, CONFIGURATION_TIME_FORMAT_KEY);
#line 78 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		format = _tmp2_;
#line 79 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		_tmp3_ = format;
#line 79 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		if (g_strcmp0 (_tmp3_, "12-hour") == 0) {
#line 80 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
			result = DATE_CLOCK_FORMAT_TWELVE_HOURS;
#line 80 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
			_g_free0 (format);
#line 80 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
			return result;
#line 606 "geary-config.c"
		} else {
			const gchar* _tmp4_ = NULL;
#line 81 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
			_tmp4_ = format;
#line 81 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
			if (g_strcmp0 (_tmp4_, "24-hour") == 0) {
#line 82 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
				result = DATE_CLOCK_FORMAT_TWENTY_FOUR_HOURS;
#line 82 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
				_g_free0 (format);
#line 82 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
				return result;
#line 619 "geary-config.c"
			} else {
#line 85 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
				result = DATE_CLOCK_FORMAT_LOCALE_DEFAULT;
#line 85 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
				_g_free0 (format);
#line 85 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
				return result;
#line 627 "geary-config.c"
			}
		}
#line 77 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		_g_free0 (format);
#line 632 "geary-config.c"
	}
#line 88 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp5_ = self->gnome_interface;
#line 88 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp6_ = g_settings_get_string (_tmp5_, CONFIGURATION_CLOCK_FORMAT_KEY);
#line 88 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp7_ = _tmp6_;
#line 88 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp8_ = g_strcmp0 (_tmp7_, "12h") == 0;
#line 88 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_g_free0 (_tmp7_);
#line 88 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (_tmp8_) {
#line 89 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		result = DATE_CLOCK_FORMAT_TWELVE_HOURS;
#line 89 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		return result;
#line 650 "geary-config.c"
	} else {
#line 91 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		result = DATE_CLOCK_FORMAT_TWENTY_FOUR_HOURS;
#line 91 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		return result;
#line 656 "geary-config.c"
	}
}


gboolean configuration_get_ask_open_attachment (Configuration* self) {
	gboolean result;
	GSettings* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 96 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), FALSE);
#line 96 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 96 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_get_boolean (_tmp0_, CONFIGURATION_ASK_OPEN_ATTACHMENT_KEY);
#line 96 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp1_;
#line 96 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 675 "geary-config.c"
}


void configuration_set_ask_open_attachment (Configuration* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 97 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_if_fail (IS_CONFIGURATION (self));
#line 97 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = value;
#line 97 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	configuration_set_boolean (self, CONFIGURATION_ASK_OPEN_ATTACHMENT_KEY, _tmp0_);
#line 687 "geary-config.c"
}


gboolean configuration_get_compose_as_html (Configuration* self) {
	gboolean result;
	GSettings* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 101 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (IS_CONFIGURATION (self), FALSE);
#line 101 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = self->priv->_settings;
#line 101 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp1_ = g_settings_get_boolean (_tmp0_, CONFIGURATION_COMPOSE_AS_HTML_KEY);
#line 101 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	result = _tmp1_;
#line 101 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return result;
#line 705 "geary-config.c"
}


void configuration_set_compose_as_html (Configuration* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 102 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_if_fail (IS_CONFIGURATION (self));
#line 102 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_tmp0_ = value;
#line 102 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	configuration_set_boolean (self, CONFIGURATION_COMPOSE_AS_HTML_KEY, _tmp0_);
#line 717 "geary-config.c"
}


static void value_configuration_init (GValue* value) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	value->data[0].v_pointer = NULL;
#line 724 "geary-config.c"
}


static void value_configuration_free_value (GValue* value) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (value->data[0].v_pointer) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		configuration_unref (value->data[0].v_pointer);
#line 733 "geary-config.c"
	}
}


static void value_configuration_copy_value (const GValue* src_value, GValue* dest_value) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (src_value->data[0].v_pointer) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		dest_value->data[0].v_pointer = configuration_ref (src_value->data[0].v_pointer);
#line 743 "geary-config.c"
	} else {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		dest_value->data[0].v_pointer = NULL;
#line 747 "geary-config.c"
	}
}


static gpointer value_configuration_peek_pointer (const GValue* value) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return value->data[0].v_pointer;
#line 755 "geary-config.c"
}


static gchar* value_configuration_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (collect_values[0].v_pointer) {
#line 762 "geary-config.c"
		Configuration* object;
		object = collect_values[0].v_pointer;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		if (object->parent_instance.g_class == NULL) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 769 "geary-config.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 773 "geary-config.c"
		}
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		value->data[0].v_pointer = configuration_ref (object);
#line 777 "geary-config.c"
	} else {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		value->data[0].v_pointer = NULL;
#line 781 "geary-config.c"
	}
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return NULL;
#line 785 "geary-config.c"
}


static gchar* value_configuration_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	Configuration** object_p;
	object_p = collect_values[0].v_pointer;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (!object_p) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 796 "geary-config.c"
	}
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (!value->data[0].v_pointer) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		*object_p = NULL;
#line 802 "geary-config.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		*object_p = value->data[0].v_pointer;
#line 806 "geary-config.c"
	} else {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		*object_p = configuration_ref (value->data[0].v_pointer);
#line 810 "geary-config.c"
	}
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return NULL;
#line 814 "geary-config.c"
}


GParamSpec* param_spec_configuration (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecConfiguration* spec;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_CONFIGURATION), NULL);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return G_PARAM_SPEC (spec);
#line 828 "geary-config.c"
}


gpointer value_get_configuration (const GValue* value) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_CONFIGURATION), NULL);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return value->data[0].v_pointer;
#line 837 "geary-config.c"
}


void value_set_configuration (GValue* value, gpointer v_object) {
	Configuration* old;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_CONFIGURATION));
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	old = value->data[0].v_pointer;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (v_object) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_CONFIGURATION));
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		value->data[0].v_pointer = v_object;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		configuration_ref (value->data[0].v_pointer);
#line 857 "geary-config.c"
	} else {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		value->data[0].v_pointer = NULL;
#line 861 "geary-config.c"
	}
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (old) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		configuration_unref (old);
#line 867 "geary-config.c"
	}
}


void value_take_configuration (GValue* value, gpointer v_object) {
	Configuration* old;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_CONFIGURATION));
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	old = value->data[0].v_pointer;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (v_object) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_CONFIGURATION));
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		value->data[0].v_pointer = v_object;
#line 886 "geary-config.c"
	} else {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		value->data[0].v_pointer = NULL;
#line 890 "geary-config.c"
	}
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (old) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		configuration_unref (old);
#line 896 "geary-config.c"
	}
}


static void configuration_class_init (ConfigurationClass * klass) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	configuration_parent_class = g_type_class_peek_parent (klass);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	((ConfigurationClass *) klass)->finalize = configuration_finalize;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_type_class_add_private (klass, sizeof (ConfigurationPrivate));
#line 908 "geary-config.c"
}


static void configuration_instance_init (Configuration * self) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	self->priv = CONFIGURATION_GET_PRIVATE (self);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	self->ref_count = 1;
#line 917 "geary-config.c"
}


static void configuration_finalize (Configuration* obj) {
	Configuration * self;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_CONFIGURATION, Configuration);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_signal_handlers_destroy (self);
#line 23 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_g_object_unref0 (self->priv->_settings);
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_g_object_unref0 (self->gnome_interface);
#line 26 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	_g_object_unref0 (self->priv->indicator_datetime);
#line 933 "geary-config.c"
}


GType configuration_get_type (void) {
	static volatile gsize configuration_type_id__volatile = 0;
	if (g_once_init_enter (&configuration_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_configuration_init, value_configuration_free_value, value_configuration_copy_value, value_configuration_peek_pointer, "p", value_configuration_collect_value, "p", value_configuration_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (ConfigurationClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) configuration_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (Configuration), 0, (GInstanceInitFunc) configuration_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType configuration_type_id;
		configuration_type_id = g_type_register_fundamental (g_type_fundamental_next (), "Configuration", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&configuration_type_id__volatile, configuration_type_id);
	}
	return configuration_type_id__volatile;
}


gpointer configuration_ref (gpointer instance) {
	Configuration* self;
	self = instance;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	g_atomic_int_inc (&self->ref_count);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	return instance;
#line 958 "geary-config.c"
}


void configuration_unref (gpointer instance) {
	Configuration* self;
	self = instance;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		CONFIGURATION_GET_CLASS (self)->finalize (self);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/application/geary-config.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 971 "geary-config.c"
	}
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



