/* icon-factory.c generated by valac 0.26.1, the Vala compiler
 * generated from icon-factory.vala, do not modify */

/* Copyright 2011-2014 Yorba Foundation
 *
 * This software is licensed under the GNU Lesser General Public License
 * (version 2.1 or later).  See the COPYING file in this distribution.
 */
/* Singleton class to hold icons.*/

#include <glib.h>
#include <glib-object.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gtk/gtk.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include "geary-static.h"
#include <float.h>
#include <math.h>
#include <gdk/gdk.h>
#include <gobject/gvaluecollector.h>


#define TYPE_ICON_FACTORY (icon_factory_get_type ())
#define ICON_FACTORY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ICON_FACTORY, IconFactory))
#define ICON_FACTORY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ICON_FACTORY, IconFactoryClass))
#define IS_ICON_FACTORY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ICON_FACTORY))
#define IS_ICON_FACTORY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ICON_FACTORY))
#define ICON_FACTORY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ICON_FACTORY, IconFactoryClass))

typedef struct _IconFactory IconFactory;
typedef struct _IconFactoryClass IconFactoryClass;
typedef struct _IconFactoryPrivate IconFactoryPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define TYPE_GEARY_APPLICATION (geary_application_get_type ())
#define GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_GEARY_APPLICATION, GearyApplication))
#define GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_GEARY_APPLICATION, GearyApplicationClass))
#define IS_GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_GEARY_APPLICATION))
#define IS_GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_GEARY_APPLICATION))
#define GEARY_APPLICATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_GEARY_APPLICATION, GearyApplicationClass))

typedef struct _GearyApplication GearyApplication;
typedef struct _GearyApplicationClass GearyApplicationClass;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _gtk_icon_info_free0(var) ((var == NULL) ? NULL : (var = (gtk_icon_info_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _icon_factory_unref0(var) ((var == NULL) ? NULL : (var = (icon_factory_unref (var), NULL)))
typedef struct _ParamSpecIconFactory ParamSpecIconFactory;

struct _IconFactory {
	GTypeInstance parent_instance;
	volatile int ref_count;
	IconFactoryPrivate * priv;
};

struct _IconFactoryClass {
	GTypeClass parent_class;
	void (*finalize) (IconFactory *self);
};

struct _IconFactoryPrivate {
	GdkPixbuf* _application_icon;
	GtkIconTheme* _icon_theme;
	GFile* icons_dir;
};

struct _ParamSpecIconFactory {
	GParamSpec parent_instance;
};


static gpointer icon_factory_parent_class = NULL;
static IconFactory* icon_factory__instance;
static IconFactory* icon_factory__instance = NULL;

gpointer icon_factory_ref (gpointer instance);
void icon_factory_unref (gpointer instance);
GParamSpec* param_spec_icon_factory (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_icon_factory (GValue* value, gpointer v_object);
void value_take_icon_factory (GValue* value, gpointer v_object);
gpointer value_get_icon_factory (const GValue* value);
GType icon_factory_get_type (void) G_GNUC_CONST;
#define ICON_FACTORY_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_ICON_FACTORY, IconFactoryPrivate))
enum  {
	ICON_FACTORY_DUMMY_PROPERTY
};
#define ICON_FACTORY_ICON_TOOLBAR GTK_ICON_SIZE_LARGE_TOOLBAR
#define ICON_FACTORY_ICON_SIDEBAR GTK_ICON_SIZE_MENU
#define ICON_FACTORY_APPLICATION_ICON_SIZE 128
#define ICON_FACTORY_UNREAD_ICON_SIZE 16
#define ICON_FACTORY_STAR_ICON_SIZE 16
static IconFactory* icon_factory_new (void);
static IconFactory* icon_factory_construct (GType object_type);
static void icon_factory_set_icon_theme (IconFactory* self, GtkIconTheme* value);
GType geary_application_get_type (void) G_GNUC_CONST;
GearyApplication* geary_application_get_instance (void);
GFile* geary_application_get_resource_directory (GearyApplication* self);
static void icon_factory_append_icons_search_path (IconFactory* self, const gchar* name);
static GdkPixbuf* icon_factory_load (IconFactory* self, const gchar* icon_name, gint size, GtkIconLookupFlags flags);
static void icon_factory_set_application_icon (IconFactory* self, GdkPixbuf* value);
void icon_factory_init (IconFactory* self);
static gint icon_factory_icon_size_to_pixels (IconFactory* self, GtkIconSize icon_size);
GIcon* icon_factory_get_theme_icon (IconFactory* self, const gchar* name);
GIcon* icon_factory_get_custom_icon (IconFactory* self, const gchar* name, GtkIconSize size);
static GtkIconTheme* icon_factory_get_icon_theme (IconFactory* self);
static GdkPixbuf* icon_factory_get_missing_icon (IconFactory* self, gint size, GtkIconLookupFlags flags);
GtkIconInfo* icon_factory_lookup_icon (IconFactory* self, const gchar* icon_name, gint size, GtkIconLookupFlags flags);
static GdkPixbuf* icon_factory_aspect_scale_down_pixbuf (IconFactory* self, GdkPixbuf* pixbuf, gint size);
GdkPixbuf* icon_factory_load_symbolic (IconFactory* self, const gchar* icon_name, gint size, GtkStyleContext* style, GtkIconLookupFlags flags);
GdkPixbuf* icon_factory_load_symbolic_colored (IconFactory* self, const gchar* icon_name, gint size, GdkRGBA* color, GtkIconLookupFlags flags);
IconFactory* icon_factory_get_instance (void);
static void icon_factory_set_instance (IconFactory* value);
GdkPixbuf* icon_factory_get_application_icon (IconFactory* self);
static void icon_factory_finalize (IconFactory* obj);


static IconFactory* icon_factory_construct (GType object_type) {
	IconFactory* self = NULL;
	GtkIconTheme* _tmp0_ = NULL;
	GearyApplication* _tmp1_ = NULL;
	GearyApplication* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	GFile* _tmp4_ = NULL;
	GFile* _tmp5_ = NULL;
	GdkPixbuf* _tmp6_ = NULL;
	GdkPixbuf* _tmp7_ = NULL;
#line 35 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	self = (IconFactory*) g_type_create_instance (object_type);
#line 36 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = gtk_icon_theme_get_default ();
#line 36 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_factory_set_icon_theme (self, _tmp0_);
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp1_ = geary_application_get_instance ();
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp2_ = _tmp1_;
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp3_ = geary_application_get_resource_directory (_tmp2_);
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp4_ = _tmp3_;
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp5_ = g_file_get_child (_tmp4_, "icons");
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_g_object_unref0 (self->priv->icons_dir);
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	self->priv->icons_dir = _tmp5_;
#line 37 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_g_object_unref0 (_tmp4_);
#line 39 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_factory_append_icons_search_path (self, NULL);
#line 40 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_factory_append_icons_search_path (self, "128x128");
#line 41 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_factory_append_icons_search_path (self, "48x48");
#line 42 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_factory_append_icons_search_path (self, "24x24");
#line 43 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_factory_append_icons_search_path (self, "16x16");
#line 46 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp6_ = icon_factory_load (self, "geary", ICON_FACTORY_APPLICATION_ICON_SIZE, 0);
#line 46 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp7_ = _tmp6_;
#line 46 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_factory_set_application_icon (self, _tmp7_);
#line 46 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_g_object_unref0 (_tmp7_);
#line 35 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return self;
#line 172 "icon-factory.c"
}


static IconFactory* icon_factory_new (void) {
#line 35 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return icon_factory_construct (TYPE_ICON_FACTORY);
#line 179 "icon-factory.c"
}


void icon_factory_init (IconFactory* self) {
#line 49 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_if_fail (IS_ICON_FACTORY (self));
#line 186 "icon-factory.c"
}


static gint icon_factory_icon_size_to_pixels (IconFactory* self, GtkIconSize icon_size) {
	gint result = 0;
	GtkIconSize _tmp0_ = 0;
#line 54 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), 0);
#line 55 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = icon_size;
#line 55 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	switch (_tmp0_) {
#line 55 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		case ICON_FACTORY_ICON_SIDEBAR:
#line 201 "icon-factory.c"
		{
#line 57 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			result = 16;
#line 57 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			return result;
#line 207 "icon-factory.c"
		}
		default:
#line 55 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		case ICON_FACTORY_ICON_TOOLBAR:
#line 212 "icon-factory.c"
		{
#line 61 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			result = 24;
#line 61 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			return result;
#line 218 "icon-factory.c"
		}
	}
}


GIcon* icon_factory_get_theme_icon (IconFactory* self, const gchar* name) {
	GIcon* result = NULL;
	const gchar* _tmp0_ = NULL;
	GThemedIcon* _tmp1_ = NULL;
#line 65 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 65 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 66 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = name;
#line 66 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp1_ = (GThemedIcon*) g_themed_icon_new (_tmp0_);
#line 66 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	result = G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, G_TYPE_ICON, GIcon);
#line 66 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return result;
#line 240 "icon-factory.c"
}


GIcon* icon_factory_get_custom_icon (IconFactory* self, const gchar* name, GtkIconSize size) {
	GIcon* result = NULL;
	gint pixels = 0;
	GtkIconSize _tmp0_ = 0;
	gint _tmp1_ = 0;
	GFile* icon_file = NULL;
	GFile* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	GFile* _tmp7_ = NULL;
	GFile* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	GFile* _tmp12_ = NULL;
	GFile* _tmp13_ = NULL;
	GFile* _tmp14_ = NULL;
	gboolean _tmp15_ = FALSE;
	GFile* _tmp21_ = NULL;
	GFileIcon* _tmp22_ = NULL;
#line 69 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 69 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 70 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = size;
#line 70 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp1_ = icon_factory_icon_size_to_pixels (self, _tmp0_);
#line 70 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	pixels = _tmp1_;
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp2_ = self->priv->icons_dir;
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp3_ = pixels;
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp4_ = pixels;
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp5_ = g_strdup_printf ("%dx%d", _tmp3_, _tmp4_);
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp6_ = _tmp5_;
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp7_ = g_file_get_child (_tmp2_, _tmp6_);
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp8_ = _tmp7_;
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp9_ = name;
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp10_ = g_strdup_printf ("%s.svg", _tmp9_);
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp11_ = _tmp10_;
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp12_ = g_file_get_child (_tmp8_, _tmp11_);
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp13_ = _tmp12_;
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_g_free0 (_tmp11_);
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_g_object_unref0 (_tmp8_);
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_g_free0 (_tmp6_);
#line 73 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_file = _tmp13_;
#line 77 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp14_ = icon_file;
#line 77 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp15_ = g_file_query_exists (_tmp14_, NULL);
#line 77 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (!_tmp15_) {
#line 314 "icon-factory.c"
		GFile* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		GFile* _tmp20_ = NULL;
#line 78 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp16_ = self->priv->icons_dir;
#line 78 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp17_ = name;
#line 78 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp18_ = g_strdup_printf ("%s.svg", _tmp17_);
#line 78 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp19_ = _tmp18_;
#line 78 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp20_ = g_file_get_child (_tmp16_, _tmp19_);
#line 78 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_g_object_unref0 (icon_file);
#line 78 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		icon_file = _tmp20_;
#line 78 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_g_free0 (_tmp19_);
#line 336 "icon-factory.c"
	}
#line 80 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp21_ = icon_file;
#line 80 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp22_ = (GFileIcon*) g_file_icon_new (_tmp21_);
#line 80 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	result = G_TYPE_CHECK_INSTANCE_CAST (_tmp22_, G_TYPE_ICON, GIcon);
#line 80 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_g_object_unref0 (icon_file);
#line 80 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return result;
#line 348 "icon-factory.c"
}


static void icon_factory_append_icons_search_path (IconFactory* self, const gchar* name) {
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 83 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_if_fail (IS_ICON_FACTORY (self));
#line 84 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = name;
#line 84 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp1_ = geary_string_is_empty (_tmp0_);
#line 84 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (_tmp1_) {
#line 363 "icon-factory.c"
		GtkIconTheme* _tmp2_ = NULL;
		GFile* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
#line 85 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp2_ = self->priv->_icon_theme;
#line 85 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp3_ = self->priv->icons_dir;
#line 85 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp4_ = g_file_get_path (_tmp3_);
#line 85 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp5_ = _tmp4_;
#line 85 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		gtk_icon_theme_append_search_path (_tmp2_, _tmp5_);
#line 85 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_g_free0 (_tmp5_);
#line 380 "icon-factory.c"
	} else {
		GtkIconTheme* _tmp6_ = NULL;
		GFile* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		GFile* _tmp9_ = NULL;
		GFile* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
#line 87 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp6_ = self->priv->_icon_theme;
#line 87 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp7_ = self->priv->icons_dir;
#line 87 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp8_ = name;
#line 87 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp9_ = g_file_get_child (_tmp7_, _tmp8_);
#line 87 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp10_ = _tmp9_;
#line 87 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp11_ = g_file_get_path (_tmp10_);
#line 87 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp12_ = _tmp11_;
#line 87 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		gtk_icon_theme_append_search_path (_tmp6_, _tmp12_);
#line 87 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_g_free0 (_tmp12_);
#line 87 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_g_object_unref0 (_tmp10_);
#line 409 "icon-factory.c"
	}
}


static GdkPixbuf* icon_factory_load (IconFactory* self, const gchar* icon_name, gint size, GtkIconLookupFlags flags) {
	GdkPixbuf* result = NULL;
	GtkIconInfo* icon_info = NULL;
	GtkIconTheme* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	GtkIconLookupFlags _tmp3_ = 0;
	GtkIconInfo* _tmp4_ = NULL;
	GtkIconInfo* _tmp5_ = NULL;
	gint _tmp16_ = 0;
	GtkIconLookupFlags _tmp17_ = 0;
	GdkPixbuf* _tmp18_ = NULL;
	GError * _inner_error_ = NULL;
#line 90 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 90 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (icon_name != NULL, NULL);
#line 92 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = self->priv->_icon_theme;
#line 92 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp1_ = icon_name;
#line 92 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp2_ = size;
#line 92 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp3_ = flags;
#line 92 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp4_ = gtk_icon_theme_lookup_icon (_tmp0_, _tmp1_, _tmp2_, _tmp3_);
#line 92 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_info = _tmp4_;
#line 93 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp5_ = icon_info;
#line 93 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (_tmp5_ != NULL) {
#line 447 "icon-factory.c"
		{
			GdkPixbuf* _tmp6_ = NULL;
			GtkIconInfo* _tmp7_ = NULL;
			GdkPixbuf* _tmp8_ = NULL;
			GdkPixbuf* _tmp9_ = NULL;
#line 95 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp7_ = icon_info;
#line 95 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp8_ = gtk_icon_info_load_icon (_tmp7_, &_inner_error_);
#line 95 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp6_ = _tmp8_;
#line 95 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 461 "icon-factory.c"
				goto __catch51_g_error;
			}
#line 95 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp9_ = _tmp6_;
#line 95 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp6_ = NULL;
#line 95 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			result = _tmp9_;
#line 95 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_g_object_unref0 (_tmp6_);
#line 95 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_gtk_icon_info_free0 (icon_info);
#line 95 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			return result;
#line 476 "icon-factory.c"
		}
		goto __finally51;
		__catch51_g_error:
		{
			GError* err = NULL;
			const gchar* _tmp10_ = NULL;
			GtkIconInfo* _tmp11_ = NULL;
			const gchar* _tmp12_ = NULL;
			GError* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
#line 94 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			err = _inner_error_;
#line 94 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_inner_error_ = NULL;
#line 97 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp10_ = icon_name;
#line 97 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp11_ = icon_info;
#line 97 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp12_ = gtk_icon_info_get_filename (_tmp11_);
#line 97 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp13_ = err;
#line 97 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp14_ = _tmp13_->message;
#line 97 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			g_warning ("icon-factory.vala:97: Couldn't load icon %s at %s, falling back to ima" \
"ge-missing: %s", _tmp10_, _tmp12_, _tmp14_);
#line 94 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_g_error_free0 (err);
#line 505 "icon-factory.c"
		}
		__finally51:
#line 94 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 94 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_gtk_icon_info_free0 (icon_info);
#line 94 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 94 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			g_clear_error (&_inner_error_);
#line 94 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			return NULL;
#line 518 "icon-factory.c"
		}
	} else {
		const gchar* _tmp15_ = NULL;
#line 101 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp15_ = icon_name;
#line 101 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		g_debug ("icon-factory.vala:101: Unable to lookup icon %s, falling back to image" \
"-missing...", _tmp15_);
#line 526 "icon-factory.c"
	}
#line 105 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp16_ = size;
#line 105 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp17_ = flags;
#line 105 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp18_ = icon_factory_get_missing_icon (self, _tmp16_, _tmp17_);
#line 105 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	result = _tmp18_;
#line 105 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_gtk_icon_info_free0 (icon_info);
#line 105 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return result;
#line 540 "icon-factory.c"
}


static GdkPixbuf* icon_factory_get_missing_icon (IconFactory* self, gint size, GtkIconLookupFlags flags) {
	GdkPixbuf* result = NULL;
	GError * _inner_error_ = NULL;
#line 109 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 549 "icon-factory.c"
	{
		GdkPixbuf* _tmp0_ = NULL;
		GtkIconTheme* _tmp1_ = NULL;
		gint _tmp2_ = 0;
		GtkIconLookupFlags _tmp3_ = 0;
		GdkPixbuf* _tmp4_ = NULL;
		GdkPixbuf* _tmp5_ = NULL;
#line 111 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp1_ = self->priv->_icon_theme;
#line 111 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp2_ = size;
#line 111 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp3_ = flags;
#line 111 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp4_ = gtk_icon_theme_load_icon (_tmp1_, "image-missing", _tmp2_, _tmp3_, &_inner_error_);
#line 111 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp0_ = _tmp4_;
#line 111 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 569 "icon-factory.c"
			goto __catch52_g_error;
		}
#line 111 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp5_ = _tmp0_;
#line 111 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp0_ = NULL;
#line 111 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		result = _tmp5_;
#line 111 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_g_object_unref0 (_tmp0_);
#line 111 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		return result;
#line 582 "icon-factory.c"
	}
	goto __finally52;
	__catch52_g_error:
	{
		GError* err = NULL;
		GError* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
#line 110 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		err = _inner_error_;
#line 110 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_inner_error_ = NULL;
#line 113 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp6_ = err;
#line 113 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp7_ = _tmp6_->message;
#line 113 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		g_warning ("icon-factory.vala:113: Couldn't load image-missing icon: %s", _tmp7_);
#line 110 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_g_error_free0 (err);
#line 602 "icon-factory.c"
	}
	__finally52:
#line 110 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 110 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 110 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		g_clear_error (&_inner_error_);
#line 110 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		return NULL;
#line 613 "icon-factory.c"
	}
#line 117 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	result = NULL;
#line 117 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return result;
#line 619 "icon-factory.c"
}


GtkIconInfo* icon_factory_lookup_icon (IconFactory* self, const gchar* icon_name, gint size, GtkIconLookupFlags flags) {
	GtkIconInfo* result = NULL;
	GtkIconInfo* icon_info = NULL;
	GtkIconTheme* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	GtkIconLookupFlags _tmp3_ = 0;
	GtkIconInfo* _tmp4_ = NULL;
	GtkIconInfo* _tmp5_ = NULL;
	GtkIconInfo* _tmp6_ = NULL;
#line 120 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 120 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (icon_name != NULL, NULL);
#line 121 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = self->priv->_icon_theme;
#line 121 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp1_ = icon_name;
#line 121 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp2_ = size;
#line 121 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp3_ = flags;
#line 121 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp4_ = gtk_icon_theme_lookup_icon (_tmp0_, _tmp1_, _tmp2_, _tmp3_);
#line 121 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_info = _tmp4_;
#line 122 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp6_ = icon_info;
#line 122 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (_tmp6_ != NULL) {
#line 653 "icon-factory.c"
		GtkIconInfo* _tmp7_ = NULL;
		GtkIconInfo* _tmp8_ = NULL;
#line 122 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp7_ = icon_info;
#line 122 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp8_ = gtk_icon_info_copy (_tmp7_);
#line 122 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_gtk_icon_info_free0 (_tmp5_);
#line 122 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp5_ = _tmp8_;
#line 664 "icon-factory.c"
	} else {
		GtkIconTheme* _tmp9_ = NULL;
		gint _tmp10_ = 0;
		GtkIconLookupFlags _tmp11_ = 0;
		GtkIconInfo* _tmp12_ = NULL;
#line 123 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp9_ = self->priv->_icon_theme;
#line 123 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp10_ = size;
#line 123 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp11_ = flags;
#line 123 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp12_ = gtk_icon_theme_lookup_icon (_tmp9_, "document-symbolic", _tmp10_, _tmp11_);
#line 123 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_gtk_icon_info_free0 (_tmp5_);
#line 123 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp5_ = _tmp12_;
#line 682 "icon-factory.c"
	}
#line 122 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	result = _tmp5_;
#line 122 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_gtk_icon_info_free0 (icon_info);
#line 122 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return result;
#line 690 "icon-factory.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 130 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return self ? g_object_ref (self) : NULL;
#line 697 "icon-factory.c"
}


static GdkPixbuf* icon_factory_aspect_scale_down_pixbuf (IconFactory* self, GdkPixbuf* pixbuf, gint size) {
	GdkPixbuf* result = NULL;
	gboolean _tmp0_ = FALSE;
	GdkPixbuf* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gint scaled_width = 0;
	gint scaled_height = 0;
	GdkPixbuf* _tmp11_ = NULL;
	gint _tmp12_ = 0;
	gint _tmp13_ = 0;
	GdkPixbuf* _tmp14_ = NULL;
	gint _tmp15_ = 0;
	gint _tmp16_ = 0;
	GdkPixbuf* _tmp37_ = NULL;
	gint _tmp38_ = 0;
	gint _tmp39_ = 0;
	GdkPixbuf* _tmp40_ = NULL;
#line 128 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 128 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (GDK_IS_PIXBUF (pixbuf), NULL);
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp1_ = pixbuf;
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp2_ = gdk_pixbuf_get_width (_tmp1_);
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp3_ = _tmp2_;
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp4_ = size;
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (_tmp3_ <= _tmp4_) {
#line 734 "icon-factory.c"
		GdkPixbuf* _tmp5_ = NULL;
		gint _tmp6_ = 0;
		gint _tmp7_ = 0;
		gint _tmp8_ = 0;
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp5_ = pixbuf;
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp6_ = gdk_pixbuf_get_height (_tmp5_);
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp7_ = _tmp6_;
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp8_ = size;
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp0_ = _tmp7_ <= _tmp8_;
#line 749 "icon-factory.c"
	} else {
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp0_ = FALSE;
#line 753 "icon-factory.c"
	}
#line 129 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (_tmp0_) {
#line 757 "icon-factory.c"
		GdkPixbuf* _tmp9_ = NULL;
		GdkPixbuf* _tmp10_ = NULL;
#line 130 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp9_ = pixbuf;
#line 130 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp10_ = _g_object_ref0 (_tmp9_);
#line 130 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		result = _tmp10_;
#line 130 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		return result;
#line 768 "icon-factory.c"
	}
#line 133 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp11_ = pixbuf;
#line 133 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp12_ = gdk_pixbuf_get_width (_tmp11_);
#line 133 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp13_ = _tmp12_;
#line 133 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp14_ = pixbuf;
#line 133 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp15_ = gdk_pixbuf_get_height (_tmp14_);
#line 133 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp16_ = _tmp15_;
#line 133 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (_tmp13_ >= _tmp16_) {
#line 784 "icon-factory.c"
		gdouble aspect = 0.0;
		gint _tmp17_ = 0;
		GdkPixbuf* _tmp18_ = NULL;
		gint _tmp19_ = 0;
		gint _tmp20_ = 0;
		gint _tmp21_ = 0;
		GdkPixbuf* _tmp22_ = NULL;
		gint _tmp23_ = 0;
		gint _tmp24_ = 0;
		gdouble _tmp25_ = 0.0;
		gdouble _tmp26_ = 0.0;
#line 134 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp17_ = size;
#line 134 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp18_ = pixbuf;
#line 134 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp19_ = gdk_pixbuf_get_width (_tmp18_);
#line 134 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp20_ = _tmp19_;
#line 134 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		aspect = ((gdouble) _tmp17_) / ((gdouble) _tmp20_);
#line 135 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp21_ = size;
#line 135 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		scaled_width = _tmp21_;
#line 136 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp22_ = pixbuf;
#line 136 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp23_ = gdk_pixbuf_get_height (_tmp22_);
#line 136 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp24_ = _tmp23_;
#line 136 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp25_ = aspect;
#line 136 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp26_ = round (((gdouble) _tmp24_) * _tmp25_);
#line 136 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		scaled_height = (gint) _tmp26_;
#line 822 "icon-factory.c"
	} else {
		gdouble aspect = 0.0;
		gint _tmp27_ = 0;
		GdkPixbuf* _tmp28_ = NULL;
		gint _tmp29_ = 0;
		gint _tmp30_ = 0;
		GdkPixbuf* _tmp31_ = NULL;
		gint _tmp32_ = 0;
		gint _tmp33_ = 0;
		gdouble _tmp34_ = 0.0;
		gdouble _tmp35_ = 0.0;
		gint _tmp36_ = 0;
#line 138 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp27_ = size;
#line 138 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp28_ = pixbuf;
#line 138 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp29_ = gdk_pixbuf_get_height (_tmp28_);
#line 138 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp30_ = _tmp29_;
#line 138 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		aspect = ((gdouble) _tmp27_) / ((gdouble) _tmp30_);
#line 139 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp31_ = pixbuf;
#line 139 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp32_ = gdk_pixbuf_get_width (_tmp31_);
#line 139 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp33_ = _tmp32_;
#line 139 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp34_ = aspect;
#line 139 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp35_ = round (((gdouble) _tmp33_) * _tmp34_);
#line 139 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		scaled_width = (gint) _tmp35_;
#line 140 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp36_ = size;
#line 140 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		scaled_height = _tmp36_;
#line 861 "icon-factory.c"
	}
#line 143 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp37_ = pixbuf;
#line 143 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp38_ = scaled_width;
#line 143 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp39_ = scaled_height;
#line 143 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp40_ = gdk_pixbuf_scale_simple (_tmp37_, _tmp38_, _tmp39_, GDK_INTERP_BILINEAR);
#line 143 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	result = _tmp40_;
#line 143 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return result;
#line 875 "icon-factory.c"
}


GdkPixbuf* icon_factory_load_symbolic (IconFactory* self, const gchar* icon_name, gint size, GtkStyleContext* style, GtkIconLookupFlags flags) {
	GdkPixbuf* result = NULL;
	GtkIconInfo* icon_info = NULL;
	GtkIconTheme* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	GtkIconLookupFlags _tmp3_ = 0;
	GtkIconInfo* _tmp4_ = NULL;
	GtkIconInfo* _tmp5_ = NULL;
	gint _tmp14_ = 0;
	GtkIconLookupFlags _tmp15_ = 0;
	GdkPixbuf* _tmp16_ = NULL;
	GError * _inner_error_ = NULL;
#line 146 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 146 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (icon_name != NULL, NULL);
#line 146 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (GTK_IS_STYLE_CONTEXT (style), NULL);
#line 148 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = self->priv->_icon_theme;
#line 148 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp1_ = icon_name;
#line 148 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp2_ = size;
#line 148 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp3_ = flags;
#line 148 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp4_ = gtk_icon_theme_lookup_icon (_tmp0_, _tmp1_, _tmp2_, _tmp3_);
#line 148 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_info = _tmp4_;
#line 151 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp5_ = icon_info;
#line 151 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (_tmp5_ != NULL) {
#line 914 "icon-factory.c"
		{
			GdkPixbuf* _tmp6_ = NULL;
			GtkIconInfo* _tmp7_ = NULL;
			GtkStyleContext* _tmp8_ = NULL;
			GdkPixbuf* _tmp9_ = NULL;
			gint _tmp10_ = 0;
			GdkPixbuf* _tmp11_ = NULL;
#line 153 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp7_ = icon_info;
#line 153 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp8_ = style;
#line 153 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp9_ = gtk_icon_info_load_symbolic_for_context (_tmp7_, _tmp8_, NULL, &_inner_error_);
#line 153 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp6_ = _tmp9_;
#line 153 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 932 "icon-factory.c"
				goto __catch53_g_error;
			}
#line 153 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp10_ = size;
#line 153 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp11_ = icon_factory_aspect_scale_down_pixbuf (self, _tmp6_, _tmp10_);
#line 153 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			result = _tmp11_;
#line 153 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_g_object_unref0 (_tmp6_);
#line 153 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_gtk_icon_info_free0 (icon_info);
#line 153 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			return result;
#line 947 "icon-factory.c"
		}
		goto __finally53;
		__catch53_g_error:
		{
			GError* e = NULL;
			GError* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
#line 152 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			e = _inner_error_;
#line 152 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_inner_error_ = NULL;
#line 155 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp12_ = e;
#line 155 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp13_ = _tmp12_->message;
#line 155 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			g_message ("icon-factory.vala:155: Couldn't load icon: %s", _tmp13_);
#line 152 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_g_error_free0 (e);
#line 967 "icon-factory.c"
		}
		__finally53:
#line 152 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 152 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_gtk_icon_info_free0 (icon_info);
#line 152 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 152 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			g_clear_error (&_inner_error_);
#line 152 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			return NULL;
#line 980 "icon-factory.c"
		}
	}
#line 160 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp14_ = size;
#line 160 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp15_ = flags;
#line 160 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp16_ = icon_factory_get_missing_icon (self, _tmp14_, _tmp15_);
#line 160 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	result = _tmp16_;
#line 160 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_gtk_icon_info_free0 (icon_info);
#line 160 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return result;
#line 995 "icon-factory.c"
}


/**
     * Loads a symbolic icon into a pixbuf, where the color-key has been switched to the provided
     * color.
     */
GdkPixbuf* icon_factory_load_symbolic_colored (IconFactory* self, const gchar* icon_name, gint size, GdkRGBA* color, GtkIconLookupFlags flags) {
	GdkPixbuf* result = NULL;
	GtkIconInfo* icon_info = NULL;
	GtkIconTheme* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	GtkIconLookupFlags _tmp3_ = 0;
	GtkIconInfo* _tmp4_ = NULL;
	GtkIconInfo* _tmp5_ = NULL;
	gint _tmp14_ = 0;
	GtkIconLookupFlags _tmp15_ = 0;
	GdkPixbuf* _tmp16_ = NULL;
	GError * _inner_error_ = NULL;
#line 167 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 167 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (icon_name != NULL, NULL);
#line 167 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (color != NULL, NULL);
#line 169 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = self->priv->_icon_theme;
#line 169 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp1_ = icon_name;
#line 169 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp2_ = size;
#line 169 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp3_ = flags;
#line 169 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp4_ = gtk_icon_theme_lookup_icon (_tmp0_, _tmp1_, _tmp2_, _tmp3_);
#line 169 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_info = _tmp4_;
#line 172 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp5_ = icon_info;
#line 172 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (_tmp5_ != NULL) {
#line 1038 "icon-factory.c"
		{
			GdkPixbuf* _tmp6_ = NULL;
			GtkIconInfo* _tmp7_ = NULL;
			GdkRGBA _tmp8_ = {0};
			GdkPixbuf* _tmp9_ = NULL;
			gint _tmp10_ = 0;
			GdkPixbuf* _tmp11_ = NULL;
#line 174 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp7_ = icon_info;
#line 174 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp8_ = *color;
#line 174 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp9_ = gtk_icon_info_load_symbolic (_tmp7_, &_tmp8_, NULL, NULL, NULL, NULL, &_inner_error_);
#line 174 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp6_ = _tmp9_;
#line 174 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1056 "icon-factory.c"
				goto __catch54_g_error;
			}
#line 174 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp10_ = size;
#line 174 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp11_ = icon_factory_aspect_scale_down_pixbuf (self, _tmp6_, _tmp10_);
#line 174 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			result = _tmp11_;
#line 174 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_g_object_unref0 (_tmp6_);
#line 174 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_gtk_icon_info_free0 (icon_info);
#line 174 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			return result;
#line 1071 "icon-factory.c"
		}
		goto __finally54;
		__catch54_g_error:
		{
			GError* e = NULL;
			GError* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
#line 173 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			e = _inner_error_;
#line 173 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_inner_error_ = NULL;
#line 176 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp12_ = e;
#line 176 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_tmp13_ = _tmp12_->message;
#line 176 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			g_warning ("icon-factory.vala:176: Couldn't load icon: %s", _tmp13_);
#line 173 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_g_error_free0 (e);
#line 1091 "icon-factory.c"
		}
		__finally54:
#line 173 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 173 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			_gtk_icon_info_free0 (icon_info);
#line 173 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 173 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			g_clear_error (&_inner_error_);
#line 173 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			return NULL;
#line 1104 "icon-factory.c"
		}
	}
#line 180 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp14_ = size;
#line 180 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp15_ = flags;
#line 180 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp16_ = icon_factory_get_missing_icon (self, _tmp14_, _tmp15_);
#line 180 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	result = _tmp16_;
#line 180 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_gtk_icon_info_free0 (icon_info);
#line 180 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return result;
#line 1119 "icon-factory.c"
}


IconFactory* icon_factory_get_instance (void) {
	IconFactory* result;
	IconFactory* _tmp0_ = NULL;
	IconFactory* _tmp2_ = NULL;
#line 15 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = icon_factory__instance;
#line 15 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (_tmp0_ == NULL) {
#line 1131 "icon-factory.c"
		IconFactory* _tmp1_ = NULL;
#line 16 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_tmp1_ = icon_factory_new ();
#line 16 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		_icon_factory_unref0 (icon_factory__instance);
#line 16 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		icon_factory__instance = _tmp1_;
#line 1139 "icon-factory.c"
	}
#line 18 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp2_ = icon_factory__instance;
#line 18 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	result = _tmp2_;
#line 18 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return result;
#line 1147 "icon-factory.c"
}


static gpointer _icon_factory_ref0 (gpointer self) {
#line 21 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return self ? icon_factory_ref (self) : NULL;
#line 1154 "icon-factory.c"
}


static void icon_factory_set_instance (IconFactory* value) {
	IconFactory* _tmp0_ = NULL;
	IconFactory* _tmp1_ = NULL;
#line 21 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = value;
#line 21 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp1_ = _icon_factory_ref0 (_tmp0_);
#line 21 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_icon_factory_unref0 (icon_factory__instance);
#line 21 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_factory__instance = _tmp1_;
#line 1169 "icon-factory.c"
}


GdkPixbuf* icon_factory_get_application_icon (IconFactory* self) {
	GdkPixbuf* result;
	GdkPixbuf* _tmp0_ = NULL;
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = self->priv->_application_icon;
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	result = _tmp0_;
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return result;
#line 1184 "icon-factory.c"
}


static void icon_factory_set_application_icon (IconFactory* self, GdkPixbuf* value) {
	GdkPixbuf* _tmp0_ = NULL;
	GdkPixbuf* _tmp1_ = NULL;
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_if_fail (IS_ICON_FACTORY (self));
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = value;
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_g_object_unref0 (self->priv->_application_icon);
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	self->priv->_application_icon = _tmp1_;
#line 1201 "icon-factory.c"
}


static GtkIconTheme* icon_factory_get_icon_theme (IconFactory* self) {
	GtkIconTheme* result;
	GtkIconTheme* _tmp0_ = NULL;
#line 30 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (IS_ICON_FACTORY (self), NULL);
#line 30 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = self->priv->_icon_theme;
#line 30 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	result = _tmp0_;
#line 30 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return result;
#line 1216 "icon-factory.c"
}


static void icon_factory_set_icon_theme (IconFactory* self, GtkIconTheme* value) {
	GtkIconTheme* _tmp0_ = NULL;
	GtkIconTheme* _tmp1_ = NULL;
#line 30 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_if_fail (IS_ICON_FACTORY (self));
#line 30 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp0_ = value;
#line 30 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 30 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_g_object_unref0 (self->priv->_icon_theme);
#line 30 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	self->priv->_icon_theme = _tmp1_;
#line 1233 "icon-factory.c"
}


static void value_icon_factory_init (GValue* value) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	value->data[0].v_pointer = NULL;
#line 1240 "icon-factory.c"
}


static void value_icon_factory_free_value (GValue* value) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (value->data[0].v_pointer) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		icon_factory_unref (value->data[0].v_pointer);
#line 1249 "icon-factory.c"
	}
}


static void value_icon_factory_copy_value (const GValue* src_value, GValue* dest_value) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (src_value->data[0].v_pointer) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		dest_value->data[0].v_pointer = icon_factory_ref (src_value->data[0].v_pointer);
#line 1259 "icon-factory.c"
	} else {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1263 "icon-factory.c"
	}
}


static gpointer value_icon_factory_peek_pointer (const GValue* value) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return value->data[0].v_pointer;
#line 1271 "icon-factory.c"
}


static gchar* value_icon_factory_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (collect_values[0].v_pointer) {
#line 1278 "icon-factory.c"
		IconFactory* object;
		object = collect_values[0].v_pointer;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		if (object->parent_instance.g_class == NULL) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1285 "icon-factory.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1289 "icon-factory.c"
		}
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		value->data[0].v_pointer = icon_factory_ref (object);
#line 1293 "icon-factory.c"
	} else {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		value->data[0].v_pointer = NULL;
#line 1297 "icon-factory.c"
	}
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return NULL;
#line 1301 "icon-factory.c"
}


static gchar* value_icon_factory_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	IconFactory** object_p;
	object_p = collect_values[0].v_pointer;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (!object_p) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1312 "icon-factory.c"
	}
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (!value->data[0].v_pointer) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		*object_p = NULL;
#line 1318 "icon-factory.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		*object_p = value->data[0].v_pointer;
#line 1322 "icon-factory.c"
	} else {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		*object_p = icon_factory_ref (value->data[0].v_pointer);
#line 1326 "icon-factory.c"
	}
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return NULL;
#line 1330 "icon-factory.c"
}


GParamSpec* param_spec_icon_factory (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecIconFactory* spec;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_ICON_FACTORY), NULL);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return G_PARAM_SPEC (spec);
#line 1344 "icon-factory.c"
}


gpointer value_get_icon_factory (const GValue* value) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_ICON_FACTORY), NULL);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return value->data[0].v_pointer;
#line 1353 "icon-factory.c"
}


void value_set_icon_factory (GValue* value, gpointer v_object) {
	IconFactory* old;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_ICON_FACTORY));
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	old = value->data[0].v_pointer;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (v_object) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_ICON_FACTORY));
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		value->data[0].v_pointer = v_object;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		icon_factory_ref (value->data[0].v_pointer);
#line 1373 "icon-factory.c"
	} else {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		value->data[0].v_pointer = NULL;
#line 1377 "icon-factory.c"
	}
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (old) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		icon_factory_unref (old);
#line 1383 "icon-factory.c"
	}
}


void value_take_icon_factory (GValue* value, gpointer v_object) {
	IconFactory* old;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_ICON_FACTORY));
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	old = value->data[0].v_pointer;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (v_object) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_ICON_FACTORY));
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		value->data[0].v_pointer = v_object;
#line 1402 "icon-factory.c"
	} else {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		value->data[0].v_pointer = NULL;
#line 1406 "icon-factory.c"
	}
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (old) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		icon_factory_unref (old);
#line 1412 "icon-factory.c"
	}
}


static void icon_factory_class_init (IconFactoryClass * klass) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	icon_factory_parent_class = g_type_class_peek_parent (klass);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	((IconFactoryClass *) klass)->finalize = icon_factory_finalize;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_type_class_add_private (klass, sizeof (IconFactoryPrivate));
#line 1424 "icon-factory.c"
}


static void icon_factory_instance_init (IconFactory * self) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	self->priv = ICON_FACTORY_GET_PRIVATE (self);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	self->ref_count = 1;
#line 1433 "icon-factory.c"
}


static void icon_factory_finalize (IconFactory* obj) {
	IconFactory * self;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_ICON_FACTORY, IconFactory);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_signal_handlers_destroy (self);
#line 25 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_g_object_unref0 (self->priv->_application_icon);
#line 30 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_g_object_unref0 (self->priv->_icon_theme);
#line 32 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	_g_object_unref0 (self->priv->icons_dir);
#line 1449 "icon-factory.c"
}


GType icon_factory_get_type (void) {
	static volatile gsize icon_factory_type_id__volatile = 0;
	if (g_once_init_enter (&icon_factory_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_icon_factory_init, value_icon_factory_free_value, value_icon_factory_copy_value, value_icon_factory_peek_pointer, "p", value_icon_factory_collect_value, "p", value_icon_factory_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (IconFactoryClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) icon_factory_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (IconFactory), 0, (GInstanceInitFunc) icon_factory_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType icon_factory_type_id;
		icon_factory_type_id = g_type_register_fundamental (g_type_fundamental_next (), "IconFactory", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&icon_factory_type_id__volatile, icon_factory_type_id);
	}
	return icon_factory_type_id__volatile;
}


gpointer icon_factory_ref (gpointer instance) {
	IconFactory* self;
	self = instance;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	g_atomic_int_inc (&self->ref_count);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	return instance;
#line 1474 "icon-factory.c"
}


void icon_factory_unref (gpointer instance) {
	IconFactory* self;
	self = instance;
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		ICON_FACTORY_GET_CLASS (self)->finalize (self);
#line 8 "/builddir/build/BUILD/geary-0.8.3/src/client/components/icon-factory.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 1487 "icon-factory.c"
	}
}



